Skip to main content

Submit Verification from URL

POST 

/b2b/verifications/:user/url

Submit a verification for a user with documents provided via presigned URLs.

Instead of uploading files directly via multipart form data, this endpoint accepts presigned URLs pointing to your document files. The server will download the files from the provided URLs and process them. The filename will be extracted from each URL path.

This is useful when your documents are already stored in a cloud storage provider (e.g. AWS S3, Google Cloud Storage) and you want to avoid re-uploading them.

A verification is defined as a check that has been performed on a user to verify information provided by the user. This is typically done by a third party, such as a company that specializes in identity verification.

Checks are most commonly performed on documents provided by the user, such as a passport or driver's license, but can also include other types of checks such as a sanctions check or a Politically Exposed Person (PEP) check.

Domain allowlisting

For security, the domains you use for presigned URLs must be allowlisted before you can use this endpoint. Contact your account manager to configure the allowed domains for your integration.

Request

Responses

Response